ColorConfiguratorMultiOptionElement = {}

local ColorConfiguratorMultiOptionElement_mt = Class(ColorConfiguratorMultiOptionElement, MultiTextOptionElement)

function ColorConfiguratorMultiOptionElement.new(target, custom_mt)
	local self = MultiTextOptionElement.new(target, custom_mt or ColorConfiguratorMultiOptionElement_mt)

	return self
end

function ColorConfiguratorMultiOptionElement:mouseEvent(posX, posY, isDown, isUp, button, eventUsed)
	if self:getIsActive() then
		if ColorConfiguratorMultiOptionElement:superClass().mouseEvent(self, posX, posY, isDown, isUp, button, eventUsed) then
			eventUsed = true
		end

		if not eventUsed and isDown and GuiUtils.checkOverlayOverlap(posX, posY, self.absPosition[1], self.absPosition[2], self.absSize[1], self.absSize[2]) then
			if Input.isMouseButtonPressed(Input.MOUSE_BUTTON_WHEEL_UP) then
				self:onLeftButtonClicked()
			elseif Input.isMouseButtonPressed(Input.MOUSE_BUTTON_WHEEL_DOWN) then
				self:onRightButtonClicked()
			end

			eventUsed = true
		end
	end

	return eventUsed
end